wxWidgets: wxAboutDialogInfo Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxAboutDialogInfo Class Reference
Common Dialogs | Data Structures

`#include <wx/aboutdlg.h>`

## Detailed Description

wxAboutDialogInfo contains information shown in the standard About dialog displayed by the wxAboutBox() function.

This class contains the general information about the program, such as its name, version, copyright and so on, as well as lists of the program developers, documentation writers, artists and translators. The simple properties from the former group are represented as a string with the exception of the program icon and the program web site, while the lists from the latter group are stored as wxArrayString and can be either set entirely at once using wxAboutDialogInfo::SetDevelopers and similar functions or built one by one using wxAboutDialogInfo::AddDeveloper etc.

Please also notice that while all the main platforms have the native implementation of the about dialog, they are often more limited than the generic version provided by wxWidgets and so the generic version is used if wxAboutDialogInfo has any fields not supported by the native version. Currently GTK+ version supports all the possible fields natively but MSW and Mac versions don't support URLs, licence text nor custom icons in the about dialog and if either of those is used, wxAboutBox() will automatically use the generic version so you should avoid specifying these fields to achieve more native look and feel.

Example of usage:

void MyFrame::OnAbout(wxCommandEvent& WXUNUSED(event))
{
wxAboutDialogInfo aboutInfo;
aboutInfo.SetName("MyApp");
aboutInfo.SetVersion(MY_APP_VERSION_STRING);
aboutInfo.SetDescription(_("My wxWidgets-based application!"));
aboutInfo.SetCopyright("(C) 1992-2010");
aboutInfo.SetWebSite("http://myapp.org");
aboutInfo.AddDeveloper("My Self");
wxAboutBox(aboutInfo);
}

##

Library: wxAdvanced
Category: Common Dialogs, Data Structures

See Also
  wxAboutDialogInfo::SetArtists

## Public Member Functions
| wxAboutDialogInfo ()
| Default constructor leaves all fields are initially uninitialized, in general you should call at least SetVersion(), SetCopyright() and SetDescription().
void | AddArtist (const wxString &artist)
| Adds an artist name to be shown in the program credits.
void | AddDeveloper (const wxString &developer)
| Adds a developer name to be shown in the program credits.
void | AddDocWriter (const wxString &docwriter)
| Adds a documentation writer name to be shown in the program credits.
void | AddTranslator (const wxString &translator)
| Adds a translator name to be shown in the program credits.
wxString | GetName () const
| Get the name of the program.
bool | HasDescription () const
| Returns true if a description string has been specified.
const wxString & | GetDescription ()
| Get the description string.
bool | HasCopyright () const
| Returns true if a copyright string has been specified.
const wxString & | GetCopyright () const
| Get the copyright string.
void | SetArtists (const wxArrayString &artists)
| Sets the list of artists to be shown in the program credits.
void | SetCopyright (const wxString &copyright)
| Set the short string containing the program copyright information.
void | SetDescription (const wxString &desc)
| Set brief, but possibly multiline, description of the program.
void | SetDevelopers (const wxArrayString &developers)
| Set the list of developers of the program.
void | SetDocWriters (const wxArrayString &docwriters)
| Set the list of documentation writers.
void | SetIcon (const wxIcon &icon)
| Set the icon to be shown in the dialog.
void | SetLicence (const wxString &licence)
| Set the long, multiline string containing the text of the program licence.
void | SetLicense (const wxString &licence)
| This is the same as SetLicence().
void | SetName (const wxString &name)
| Set the name of the program.
void | SetTranslators (const wxArrayString &translators)
| Set the list of translators.
void | SetVersion (const wxString &version, const wxString &longVersion=wxString())
| Set the version of the program.
void | SetWebSite (const wxString &url, const wxString &desc=wxEmptyString)
| Set the web site for the program and its description (which defaults to url itself if empty).

## Constructor & Destructor Documentation

wxAboutDialogInfo::wxAboutDialogInfo | ( |  | ) |

Default constructor leaves all fields are initially uninitialized, in general you should call at least SetVersion(), SetCopyright() and SetDescription().

## Member Function Documentation

void wxAboutDialogInfo::AddArtist | ( | const wxString & | artist | ) |

Adds an artist name to be shown in the program credits.

See Also
  SetArtists()

void wxAboutDialogInfo::AddDeveloper | ( | const wxString & | developer | ) |

Adds a developer name to be shown in the program credits.

See Also
  SetDevelopers()

void wxAboutDialogInfo::AddDocWriter | ( | const wxString & | docwriter | ) |

Adds a documentation writer name to be shown in the program credits.

See Also
  SetDocWriters()

void wxAboutDialogInfo::AddTranslator | ( | const wxString & | translator | ) |

Adds a translator name to be shown in the program credits.

Notice that if no translator names are specified explicitly, wxAboutBox() will try to use the translation of the string `translator-credits` from the currently used message catalog – this can be used to show just the name of the translator of the program in the current language.

See Also
  SetTranslators()

const wxString& wxAboutDialogInfo::GetCopyright | ( |  | ) | const

Get the copyright string.

Returns
  The copyright string

const wxString& wxAboutDialogInfo::GetDescription | ( |  | ) |

Get the description string.

Returns
  The description string, free-form.

wxString wxAboutDialogInfo::GetName | ( |  | ) | const

Get the name of the program.

Returns
  Name of the program

See Also
  SetName()

bool wxAboutDialogInfo::HasCopyright | ( |  | ) | const

Returns true if a copyright string has been specified.

See Also
  GetCopyright()

bool wxAboutDialogInfo::HasDescription | ( |  | ) | const

Returns true if a description string has been specified.

See Also
  GetDescription()

void wxAboutDialogInfo::SetArtists | ( | const wxArrayString & | artists | ) |

Sets the list of artists to be shown in the program credits.

See Also
  AddArtist()

void wxAboutDialogInfo::SetCopyright | ( | const wxString & | copyright | ) |

Set the short string containing the program copyright information.

Notice that any occurrences of `"(C)"` in copyright will be replaced by the copyright symbol (circled C) automatically, which means that you can avoid using this symbol in the program source code which can be problematic,

void wxAboutDialogInfo::SetDescription | ( | const wxString & | desc | ) |

Set brief, but possibly multiline, description of the program.

void wxAboutDialogInfo::SetDevelopers | ( | const wxArrayString & | developers | ) |

Set the list of developers of the program.

See Also
  AddDeveloper()

void wxAboutDialogInfo::SetDocWriters | ( | const wxArrayString & | docwriters | ) |

Set the list of documentation writers.

See Also
  AddDocWriter()

void wxAboutDialogInfo::SetIcon | ( | const wxIcon & | icon | ) |

Set the icon to be shown in the dialog.

By default the icon of the main frame will be shown if the native about dialog supports custom icons. If it doesn't but a valid icon is specified using this method, the generic about dialog is used instead so you should avoid calling this function for maximally native look and feel.

void wxAboutDialogInfo::SetLicence | ( | const wxString & | licence | ) |

Set the long, multiline string containing the text of the program licence.

Only GTK+ version supports showing the licence text in the native about dialog currently so the generic version will be used under all the other platforms if this method is called. To preserve the native look and feel it is advised that you do not call this method but provide a separate menu item in the `"Help"` menu for displaying the text of your program licence.

void wxAboutDialogInfo::SetLicense | ( | const wxString & | licence | ) |

This is the same as SetLicence().

void wxAboutDialogInfo::SetName | ( | const wxString & | name | ) |

Set the name of the program.

If this method is not called, the string returned by wxApp::GetAppName will be shown in the dialog.

void wxAboutDialogInfo::SetTranslators | ( | const wxArrayString & | translators | ) |

Set the list of translators.

Please see AddTranslator() for additional discussion.

void wxAboutDialogInfo::SetVersion | ( | const wxString & | version,
|  | const wxString & | longVersion = `wxString()`
| ) |  |

Set the version of the program.

The word "version" shouldn't be included in version. Example version values: "1.2" and "RC2". In about dialogs with more space set aside for version information, longVersion is used. Example longVersion values: "Version 1.2" and "Release Candidate 2". If version is non-empty but longVersion is empty, a long version is constructed automatically, using version (by simply prepending "Version " to version).

The generic about dialog and native GTK+ dialog use version only, as a suffix to the program name. The native MSW and OS X about dialogs use the long version.

void wxAboutDialogInfo::SetWebSite | ( | const wxString & | url,
|  | const wxString & | desc = `wxEmptyString`
| ) |  |

Set the web site for the program and its description (which defaults to url itself if empty).

Please notice that only GTK+ version currently supports showing the link in the native about dialog so if this method is called, the generic version will be used under all the other platforms.